### Constructor

# GtkSource FileLoader new

#### Declaration [src]

    GtkSourceFileLoader*
    gtk_source_file_loader_new (
      GtkSourceBuffer* buffer,
      GtkSourceFile* file
    )

#### Description [src]

Creates a new `GtkSourceFileLoader` object. The contents is read from the `GtkSourceFile`‘s location.

If not already done, call `gtk_source_file_set_location()` before calling this constructor. The previous location is anyway not needed, because as soon as the file loading begins, the `buffer` is emptied.

#### Parameters

`buffer`

  Type: `GtkSourceBuffer`

  The `GtkSourceBuffer` to load the contents into.

  The data is owned by the caller of the function.

`file`

  Type: `GtkSourceFile`

  The `GtkSourceFile`.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkSourceFileLoader`

A new `GtkSourceFileLoader` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.